<?php
// Heading
$_['heading_title']       			= 'پرداخت سریع (Full Ajax)';

// Text
$_['text_module']        		 	= 'ماژول ها';
$_['text_success']      		 	= 'تبریک! تغییرات با موفقیت ذخیره گردید';
	
// Entry
$_['entry_status']       			= 'وضعیت:';
$_['entry_sort_order']    			= 'ترتیب:';
$_['settings_yes']   				= 'بله';
$_['settings_no']   				= 'خیر';
$_['settings_display']   			= 'نمایش';
$_['settings_require']   			= 'ضروری';
$_['settings_enable'] 				= 'فعال';
$_['settings_select'] 				= 'منوی کشویی';
$_['settings_image'] 				= 'نمایش عکس';
$_['settings_second_step'] 			= 'اجباری بودن مرحله دوم برای پرداخت<br /><small>In OpenCart there are two types of payment methods – some require an order_id and some don\'t. This creates an extra steps for those, that need the order_id, since it is created on the first step (like PayPal). But there are those, that don\'t need it (like cash on delivery). We went ahead and set it up for you so that you don\'t do it yourself, but if you have a custom payment method, you can require the second step yourself.</small>';

// Checkout
$_['checkout_heading']   			= '<h2>پراخت سریع (Full Ajax) فارسی نسخه 3.3</h2> ';
$_['checkout_intro']   				=  '<div class="intro-block">
<strong>Customize your Ajax Quick Checkout</strong><br>
<ul>
<li>As you already know that the checkout has many fields. Most of them you actually do not need. <br />
Here you can check the ones you need and hide those, that are not necessary.
Display - option to show or hide a field. <br />
Require - option to validate the value or not.<br /><br />
<strong>Warning:</strong> Do not require those fields that you have not displayed. This will prevent customers from making a purchase.</li></ul></div>
<div class="intro-block">
<strong>Sort the fields and steps of the checkout page</strong><br>
<ul>
<li>simply drag-n-drop the fields where you want them to be.</li>
<li>Fields can be sorted inside one step.</li>
<li>Steps can be sorted between each other and also inside different columns</li>
<li>There can be 1 to 3 columns in your checkout page.</li>
<li>You can add module positions as steps. For this you will need to have <a href="http://www.opencart.com/index.php?route=extension/extension/info&extension_id=6916" target="_blank">Extra Positions 1.3.10 or above</a></li>
</ul>
</div>
<div class="intro-block">
<strong>Save and share settings.</strong>
<ul>
<li>
You can save your checkout settings by using the Bulk settings option. <br />
1. Check the checkbox for bulk settings<br />
2. Copy the settings data and save it to a text file.</li>
<li>Update your settings fast <br />
1. Check the checkbox for bulk settings<br />
2. Paste the settings data into the field, replacing the data inside it.<br />
3. Save it.</li>
</ul>
</div>
<br style="clear:both" />';
$_['checkout_intro_display']   		= 'نمایش/مخفی کردن توضیحات &#8250;';
$_['checkout_quickcheckout']   		= 'پرداخت تمام اجاکسی:<br><small>(برای فعال شدن ماژول پرداخت آجاکسی باید ویکیومد فعال باشد)</small>';
$_['checkout_debug']   				= 'حالت اشکال زدایی:<br><small>(فعال کردن این قسمت ارورها را به نمایش میگذارد و برای برنامه نویسان مناسب است)</small>';
$_['checkout_compatibility']   		= 'سازگار کردن با ماژولهای قبلی:<br><small>(در صورتی که با فعال کردن این ماژول به مشکل برخوردید،فعال کردن این گزینه میتواند به شما در سازگار کردن کمک کند)</small>';
$_['checkout_defalt_option']   		= 'انتخاب حالت پیش فرض در ماژول:<br><small>(برای حالت پیش فرض یک گزینه را انتخاب کنید.این گزینه در هنگام پرداخت توسط کاربر قابل تغییر میباشید)</small>';
$_['checkout_defalt_option_register'] = 'کاربر سایت';
$_['checkout_defalt_option_guest']    = 'مهمان';

$_['checkout_guest_step_1']   	= 'اطلاعات درخواستی از مهمان';
$_['checkout_register_step_1']   	= 'اطلاعات درخواستی از کاربر سایت';
$_['checkout_firstname']   		= 'نام:';
$_['checkout_lastname']   		= 'نام خانوادگی:';
$_['checkout_email']   				= 'ایمیل:<br><small>(در صورتی که ایمیل وارد نشد از این ایمیل پیش فرض استفاده شود)</small>';
$_['checkout_telephone']  	 		= 'تلفن:';
$_['checkout_fax']   				= 'نمابر:';

$_['checkout_guest_step_2'] 		= 'اطلاعات صورتحساب مهمان';
$_['checkout_register_step_2'] 	= 'اطلاعات صورت حساب کاربران سایت';
$_['checkout_payment_address'] 	= 'آدرس پرداخت:';
$_['checkout_company']    			= 'شرکت:';
$_['checkout_customer_group']    	= 'گروه مشتری: (<a href="%s">تنظیمات اپن کارت</a>):';
$_['checkout_company_id']    		= 'شناسه شرکت:';
$_['checkout_tax_id']    			= 'شناسه مالیاتی:';
$_['checkout_address_1']  		= 'آدرس 1:';
$_['checkout_address_2']  		= 'آدرس 2:';
$_['checkout_city']   				= 'شهر:';
$_['checkout_postcode']   			= 'کدپستی (<a href="%s">تنظیمات اپن کارت</a>):';
$_['checkout_country']   			= 'کشور:';
$_['checkout_zone']  				= 'منطقه:';
$_['checkout_newsletter']   		= 'خبرنامه:';
$_['checkout_password']   		= 'پسورد:';
$_['checkout_privacy_agree']   	= 'موافقت با سیاست حفظ حریم خصوصی:';

$_['checkout_guest_step_3'] 		= 'آدرس حمل و نقل مهمان:';
$_['checkout_register_step_3'] 	= 'آدرس حمل و نقل کاربران سایت:';
$_['checkout_shipping_address'] 	= 'همیشه نمایش باز:';
$_['checkout_shipping_address_enable'] 	= 'فعال کردن آدرس حمل و نقل:';

$_['checkout_step_4']   					= 'حمل ونقل';
$_['checkout_shippint_method']   		= 'روش حمل و نقل:';
$_['checkout_shipping_method_methods']   	= 'روش های حمل و نقل:';
$_['checkout_shipping_method_title']  	= 'عنوان روش حمل و نقل:';
$_['checkout_shipping_method_date']  	= 'تاریخ حمل نقل:<br><small>(نمایش تاریخ و وارد کردن نام فیلد:)</small>';
$_['shipping_method_date_picker']  	= 'به همراه چیننده تاریخ (DatePicker)';
$_['checkout_shipping_method_comment']  = 'نظر حمل و نقل:';

$_['checkout_step_5']   				= 'پرداخت';
$_['checkout_payment_method']   	= 'روش پرداخت:';
$_['checkout_payment_method_methods']   	= 'روشهای پرداخت:<br><small>(شما میتوانید نمایش دهید آن لیست را با نمایش عکس یا منوی کشویی در تصاویر نگهداری میشوند در <a onclick="image_upload(\'image\', \'thumb\');">image folder/payment</a>)</small>';
$_['checkout_payment_method_comment']   	= 'توضیحات پرداخت:';
$_['checkout_payment_method_agree']   		= 'موافقت با شرایط:';
$_['checkout_payment_method_methods_steps']   = 'تنظیم روش مراحل پرداخت: <br><small>(unchecked - leave one step, checked -  require second step)</small>';

$_['checkout_step_6']   				= 'تایید سفارش';
$_['checkout_confirm_images']   	= 'نمایش عکسها در سبد خرید:';
$_['checkout_confirm_name']   		= 'نمایش نام در سبد خرید:';
$_['checkout_confirm_model']   		= 'نمایش ماژول در سبد خرید:';
$_['checkout_confirm_quantity']   	= 'نمایش مقدار در سبد خرید:';
$_['checkout_confirm_price']   		= 'نمایش قیمت در سبد خرید:';
$_['checkout_confirm_total']   		= 'نمایش کل سبد خرید:';

$_['checkout_design']  					= 'طراحی صفحه پرداخت';
$_['checkout_labels_float']				= 'برچسب موقعیت:';
$_['checkout_labels_float_left']   		= 'شناور چپ';
$_['checkout_labels_float_clear'] 		= 'شناور بالا';
$_['checkout_force_default_style'] 		= 'سبک قالب پیش فرض <br /><small>اگر شما دارای یک قالب سفارشی هستید و پرداخت بد به نظر میرسد,استفاده اجباری کنید از قالب پیشفرض.</small>';

$_['checkout_design_cutomer_info']  	 = 'اطلاعات مشتری';
$_['checkout_design_shipping_address']  = 'آدرس حمل و نقل';
$_['checkout_design_shipping_method']  	= 'روش حمل و نقل';
$_['checkout_design_payment_method']  	= 'روشهای پرداخت';
$_['checkout_design_confirm']  	= 'تاييد كردن‌ ';
$_['checkout_design_extra1']  	= 'موقعیت پرداخت 1';
$_['checkout_design_extra2']  	= 'موقعیت پرداخت 2';
$_['checkout_design_extra3']  	= 'موقعیت پرداخت 3';

$_['checkout_style']  					= 'استایل صفحه پرداخت:<br><small>(Style checkout by setting column width (in %), moving and sorting steps and adding custom CSS. If the checkout doesn\'t fit into your content width, just make the columns more narrow)</small>';
$_['checkout_style_css']  				= 'اضافه کردن استایل های CSS:<br><small>(you can style your checkout by adding CSS styles here)</small>';

$_['positions_needed']  				= 'شما میتوانید از موقعیت های اضافی استفاده کنید, شما نیاز به نصب دارید <a href="http://www.opencart.com/index.php?route=extension/extension/info&extension_id=6916" target="_blank">Extra Positions 1.3.10 or above</a>';

$_['checkout_settings']  				= 'تنظیمات انبوه:<br><small>(You can save and share settings by copy/pasting into the hidden field. You can also save your settings by copying them to a text file and using it in the future)</small>';
$_['checkout_settings_checkbox']        = 'تنظیمات جمعی<br><small>(When checked, the settings set above will be ignored, and the settings in the field below will be uploaded)</small>';

// Error
$_['error_permission']   				= 'اخطار:شما اجازه دسترسی به ماژول پرداخت سریع را ندارید!';
?>
